<!DOCTYPE html>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="j_idt5">
	<title>Roman Nazarenko: Home</title>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.js"></script>
	<script type="text/javascript"
			src="http://localhost:8080/home/javax.faces.resource/jquery-ui/1.10.4/ui/jquery-ui.js.xhtml?ln=webjars"></script>
	<script type="text/javascript"
			src="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.js.xhtml?ln=webjars"></script>
	<link type="text/css" rel="stylesheet"
		  href="http://localhost:8080/home/javax.faces.resource/jquery-ui/1.10.4/themes/base/jquery-ui.css.xhtml?ln=webjars"/>
	<link type="text/css" rel="stylesheet"
		  href="http://localhost:8080/home/javax.faces.resource/Semantic-UI/2.1.8/semantic.css.xhtml?ln=webjars"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/custom.css"/>
	<link type="text/css" rel="stylesheet" href="../resources/css/fonts_1.css"/>
	<script type="text/javascript">
		function initializeDatePicker() {
			var element = $('#creationDateInputId');
			var value = element.attr('content');
			element.datepicker({
				showButtonPanel: true,
				dateFormat: 'mm/dd/yy',
			});
			if (value) {
				element.datepicker('setDate', value);
			}
		}
		$(function () {
			$('.ui.dropdown').dropdown();
			$('.ui.accordion').accordion();
			$('#user-menu-dropdown').dropdown({
				action: 'hide',
			});
			initializeDatePicker();
		});
	</script>
</head>
<body class="pushable">
<div class="pusher">
	<div class="ui container framed">
		<div class="ui secondary pointing menu">
			<div class="item">
				<i class="user icon"></i>
				<b>Roman Nazarenko</b>
			</div>
			<a href="/jacra/index.xhtml" class="active item">About</a>
			<a href="/jacra/index.xhtml" class="item">Projects</a>
			<a href="/jacra/index.xhtml" class="item">Blog</a>
			<div class="ui dropdown item">
				Admin
				<div class="menu">
					<a class="link item">Edit bio</a>
					<a class="link item">Edit projects</a>
					<a class="link item">Edit blog</a>
				</div>
			</div>
			<div class="right menu">
				<div class="ui category search item">
					<div class="ui transparent icon input">
						<input class="prompt" placeholder="Search..." type="text"/>
						<i class="search icon"></i>
					</div>
					<div class="results"></div>
				</div>
				<div id="user-menu-dropdown" class="ui dropdown item">
					<span class="text">Jtalk</span>
					<i class="user icon"></i>
					<div class="menu">
						<a class="item">Profile</a>
						<a class="item">Preferences</a>
						<div class="divider"></div>
						<a class="item">Logout</a>
					</div>
				</div>
			</div>
		</div>
		<div class="ui centered two columns grid">
			<div class="ui thirteen wide column">
				<div class="ui raised segment">
					<h1>Edit blog post</h1>
					<form class="ui form">
						<div class="ui centered two columns grid">
							<div class="ui row">
								<div class="ui twelve wide column">
									<div class="field">
										<label>Title</label>
										<input type="text" placeholder="Title" value="The best article ever!">
									</div>
									<div class="field">
										<label>Short title</label>
										<input type="text" placeholder="For navigation" value="the-best-article-ever">
									</div>
									<div class="field">
										<div class="ui toggle checkbox">
											<input type="checkbox">
											<label>Published</label>
										</div>
									</div>
									<div class="two fields">
										<div class="field">
											<label>Creation date</label>
											<input id="creationDateInputId" type="text" content="01/01/2014">
										</div>
										<div class="field">
											<label>Creation time</label>
											<input type="text">
										</div>
									</div>
									<div class="field">
										<label>Tags</label>
										<select class="ui fluid search dropdown" multiple="">
											<option value="">Tag</option>
											<option value="Java" class="item">Java</option>
											<option value="Scala" class="item active">Scala</option>
										</select>
									</div>
								</div>
								<div class="ui four wide vertical middle aligned column">
									<div class="ui buttons">
										<div class="ui primary button">
											Save
										</div>
										<div class="or"></div>
										<div class="ui secondary button">
											Cancel
										</div>
									</div>
								</div>
							</div>
							<div class="ui row">
								<div class="ui sixteen wide column">
									<div class="field">
										<label>Content</label>
										<textarea>The article text</textarea>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>

	<div id="addBlogEntryModalId" class="ui small modal">
		<i class="close icon"></i>
		<div class="header">Add entry</div>
		<div class="content">
			<form class="ui form">
				<div class="field">
					<label>Blog entry title</label>
					<input type="text" placeholder="Title"/>
				</div>
				<div class="field">
					<label>Short name for navigation</label>
					<input type="text" placeholder="(letters, numbers, dashes)"/>
				</div>
				<button class="ui positive button">Create</button>
				<button class="ui deny button" onclick="$('#addBlogEntryModalId').modal('hide')">Cancel</button>
			</form>
		</div>
	</div>

	<p/>
	<p/>

	<footer class="ui inverted basic segment container">
		<div class="ui center aligned container">
			<div class="ui inverted section divider"/>
			<div class="ui horizontal inverted small divided">
				Copyright (C) 2016
				<a href="https://jtalk.me" class="ui author-link">
					Roman Nazarenko
				</a>
			</div>
		</div>
	</footer>
</div>
</body>
</html>